import { Directive, Input, HostBinding, NgModule } from '@angular/core';

class MatBasicSpinnerDirective {
    constructor() {
        this.mtBasicSpinner = false;
        this.hideText = false;
    }
    get elementClass() {
        if (this.mtBasicSpinner && this.hideText) {
            return 'mat-spinner hide-btn-text';
        }
        else if (this.mtBasicSpinner) {
            return 'mat-spinner';
        }
        return '';
    }
    get disabled() {
        return this.mtBasicSpinner;
    }
}
MatBasicSpinnerDirective.decorators = [
    { type: Directive, args: [{
                selector: '[mtBasicSpinner]'
            },] }
];
MatBasicSpinnerDirective.propDecorators = {
    mtBasicSpinner: [{ type: Input }],
    hideText: [{ type: Input }],
    elementClass: [{ type: Input, args: ["class",] }, { type: HostBinding, args: ['class',] }],
    disabled: [{ type: HostBinding, args: ['disabled',] }]
};

class NgxLoadingButtonsModule {
}
NgxLoadingButtonsModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    MatBasicSpinnerDirective
                ],
                exports: [
                    MatBasicSpinnerDirective
                ]
            },] }
];

/*
 * Public API Surface of ngx-loading-buttons
 */

/**
 * Generated bundle index. Do not edit.
 */

export { MatBasicSpinnerDirective, NgxLoadingButtonsModule };
//# sourceMappingURL=ngx-loading-buttons.js.map
